using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class RetrieveEventNotification : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (this.tbNotificationTypes.Text == "")
        {
            this.tbNotificationTypes.Text = "CLICK,OPEN,BOUNCE,OPTOUT,OPTIN,DELIVERY";
            this.tbMaxNotifications.Text = "100";
            this.tbMarkAsReadInd.Text = "Y";
        }
    }

    protected void Button1_Click(object sender, EventArgs e)
    {
        PaintMethods paint = null;

        try
        {
            Hashtable eventMeta = null;
            Hashtable eventOutput = null;

            // ***** Log in and create a context *****
            paint = new PaintMethods();
            paint.login();

            // ***** Retrieve the event data *****
            eventOutput = (Hashtable)paint.retrieveEventNotifications(this.tbNotificationTypes.Text,
                                                                        this.tbMaxNotifications.Text,
                                                                        this.tbMarkAsReadInd.Text,
                                                                        this.tbCustomFieldNames.Text);

            this.lblEventCount.Text = (String)eventOutput["eventCount"];
            this.lblEventData.Text = paint.base64Decode((String)eventOutput["eventData"]);

            this.lblEventMetaOutput.Text = "";
            eventMeta = (Hashtable)eventOutput["eventMeta"];
            foreach (String notifType in eventMeta.Keys)
            {
                String notifTypeMeta = (String)eventMeta[notifType];
                this.lblEventMetaOutput.Text += "Type: " + notifType + ", Columns [" + notifTypeMeta + "]\n";
            }
            
            // Output to help the user see what's going on.
            this.lblOutput.Text = "Event data retrieved (see below)<BR/><BR/>";
        }
        catch (PaintValidationException pve)
        {
            this.lblOutput.Text = "Validation Error<BR/><BR/>" +
                                    paint.convertResultToDebugString(pve.getErrors()) + "<BR/><BR/>";
        }
        catch (PaintSecurityException psece)
        {
            this.lblOutput.Text = "Security Exception<BR/><BR/>" +
                                    psece.Message + "<BR/><BR/>";
        }
        catch (PaintSystemException pse)
        {
            this.lblOutput.Text = "System Exception<BR/><BR/>" +
                                    pse.Message + "<BR/><BR/>";
        }
        catch (Exception exp)
        {
            this.lblOutput.Text = "Unhandled Exception<BR/><BR/>" +
                                    exp.Message + "<BR/><BR/>";
        }

        // Log out of the session.  This should be placed so that
        // it will always occur even if there is an exception
        try
        {
            paint.logout();
        }
        catch (Exception exp)
        {
            // Ignore failures when trying to log out.
            String message = exp.Message;
        }
    }
}
