﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using com.pure360.paint;

public partial class viewDelivery : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }

    protected void Button1_Click(object sender, EventArgs e)
    {
        PaintMethods paint = null;
        this.lblDeliveryData.Text = "";

        if (this.tbDeliveryId.Text != "")
        {
            try
            {
                Hashtable deliveryOutput = null;
                Hashtable displayFields = new Hashtable();

                // ***** Select the fields we will display (apologies for probably poor use of hashtables!) *****
                displayFields.Add("deliveryDtTm", "");
                displayFields.Add("deliveryStatus", "");
                displayFields.Add("languageCode", "");
                displayFields.Add("messageName", "");
                displayFields.Add("listNames", "");
                displayFields.Add("total", "");
                displayFields.Add("sent", "");
                displayFields.Add("enroute", "");
                displayFields.Add("received", "");
                displayFields.Add("replied", "");
                displayFields.Add("bounced", "");
                displayFields.Add("autoReplied", "");
                displayFields.Add("softBounced", "");
                displayFields.Add("blocked", "");
                displayFields.Add("sentToFriend", "");
                displayFields.Add("outOfCredit", "");
                displayFields.Add("opened", "");
                displayFields.Add("repeatOpened", "");
                displayFields.Add("clicked", "");
                displayFields.Add("repeatClicked", "");
                displayFields.Add("optedOut", "");
                displayFields.Add("optedOutPassive", "");
                displayFields.Add("limitedReceipt", "");
                displayFields.Add("stopped", "");
                displayFields.Add("alreadyBounced", "");
                displayFields.Add("alreadyOptedOut", "");

                // ***** Log in and create a context *****
                paint = new PaintMethods();
                paint.login();

                // ***** Load the delivery record *****
                deliveryOutput = paint.loadDelivery(this.tbDeliveryId.Text);

                // Output to help the user see what's going on.
                this.lblOutput.Text = "Delivery found.  See below for details:<BR/><BR/>";

                // Remove some of the less interesting data from the array and then output the rest
                foreach (String fieldName in deliveryOutput.Keys)
                {
                    if (displayFields.Contains(fieldName))
                    {
                        String fieldValue = (String)deliveryOutput[fieldName];
                        this.lblDeliveryData.Text += fieldName + " = " + fieldValue + "\n";
                    }
                }
            }
            catch (PaintValidationException pve)
            {
                this.lblOutput.Text = "Validation Error<BR/><BR/>" +
                                        paint.convertResultToDebugString(pve.getErrors()) + "<BR/><BR/>";
            }
            catch (PaintSecurityException psece)
            {
                this.lblOutput.Text = "Security Exception<BR/><BR/>" +
                                        psece.Message + "<BR/><BR/>";
            }
            catch (PaintSystemException pse)
            {
                this.lblOutput.Text = "System Exception<BR/><BR/>" +
                                        pse.Message + "<BR/><BR/>";
            }
            catch (Exception exp)
            {
                this.lblOutput.Text = "Unhandled Exception<BR/><BR/>" +
                                        exp.Message + "<BR/><BR/>";
            }

            // Log out of the session.  This should be placed so that
            // it will always occur even if there is an exception
            try
            {
                paint.logout();
            }
            catch (Exception exp)
            {
                // Ignore failures when trying to log out.
                String message = exp.Message;
            }         
        }
    }
}
